/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022LV01.java

*

* Created on 21/09/09 12:47:04

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

import q02b.exe.arquitectura.utils.tablasBD.*;

import java.util.ArrayList;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public class Q02bTablaBDQ022LS01V01 extends Q02bTablaBD implements Q02bITablaBDQ022LS01V01 {

    private static final long serialVersionUID =1L;

    /** Constante para la propiedad Q022LT00_ID_RESUL */

    public final static int COLUMN_Q022LT00_ID_RESUL = 1;

    /** Constante para la propiedad Q022LT00_ID_RESUL */

    public final static String NOMCOLUMN_Q022LT00_ID_RESUL = "Q022LT00_ID_RESUL";

    /** Constante para la propiedad Q022LT00_ID_RESUL */

    public final static int TAM_MAXIMO_Q022LT00_ID_RESUL = 8;

    /** Constante para la propiedad Q022LT00_PROV */

    public final static int COLUMN_Q022LT00_PROV = 2;

    /** Constante para la propiedad Q022LT00_PROV */

    public final static String NOMCOLUMN_Q022LT00_PROV = "Q022LT00_PROV";

    /** Constante para la propiedad Q022LT00_PROV */

    public final static int TAM_MAXIMO_Q022LT00_PROV = 2;

    /** Constante para la propiedad Q022LT00_MUNI */

    public final static int COLUMN_Q022LT00_MUNI = 3;

    /** Constante para la propiedad Q022LT00_MUNI */

    public final static String NOMCOLUMN_Q022LT00_MUNI = "Q022LT00_MUNI";

    /** Constante para la propiedad Q022LT00_MUNI */

    public final static int TAM_MAXIMO_Q022LT00_MUNI = 3;

    /** Constante para la propiedad Q022LT00_OTRF */

    public final static int COLUMN_Q022LT00_OTRF = 4;

    /** Constante para la propiedad Q022LT00_OTRF */

    public final static String NOMCOLUMN_Q022LT00_OTRF = "Q022LT00_OTRF";

    /** Constante para la propiedad Q022LT00_OTRF */

    public final static int TAM_MAXIMO_Q022LT00_OTRF = 50;

    /** Constante para la propiedad Q022LT00_NRESPH */

    public final static int COLUMN_Q022LT00_NRESPH = 5;

    /** Constante para la propiedad Q022LT00_NRESPH */

    public final static String NOMCOLUMN_Q022LT00_NRESPH = "Q022LT00_NRESPH";

    /** Constante para la propiedad Q022LT00_NRESPH */

    public final static int TAM_MAXIMO_Q022LT00_NRESPH = 1;

    /** Constante para la propiedad Q022LT00_NRESPV */

    public final static int COLUMN_Q022LT00_NRESPV = 6;

    /** Constante para la propiedad Q022LT00_NRESPV */

    public final static String NOMCOLUMN_Q022LT00_NRESPV = "Q022LT00_NRESPV";

    /** Constante para la propiedad Q022LT00_NRESPV */

    public final static int TAM_MAXIMO_Q022LT00_NRESPV = 1;

    /** Constante para la propiedad Q022LT00_NRESPS */

    public final static int COLUMN_Q022LT00_NRESPS = 7;

    /** Constante para la propiedad Q022LT00_NRESPS */

    public final static String NOMCOLUMN_Q022LT00_NRESPS = "Q022LT00_NRESPS";

    /** Constante para la propiedad Q022LT00_NRESPS */

    public final static int TAM_MAXIMO_Q022LT00_NRESPS = 1;

    /** Constante para la propiedad Q022LT00_NRESPA */

    public final static int COLUMN_Q022LT00_NRESPA = 8;

    /** Constante para la propiedad Q022LT00_NRESPA */

    public final static String NOMCOLUMN_Q022LT00_NRESPA = "Q022LT00_NRESPA";

    /** Constante para la propiedad Q022LT00_NRESPA */

    public final static int TAM_MAXIMO_Q022LT00_NRESPA = 1;

    /** Constante para la propiedad Q022LT00_NRESPT */

    public final static int COLUMN_Q022LT00_NRESPT = 9;

    /** Constante para la propiedad Q022LT00_NRESPT */

    public final static String NOMCOLUMN_Q022LT00_NRESPT = "Q022LT00_NRESPT";

    /** Constante para la propiedad Q022LT00_NRESPT */

    public final static int TAM_MAXIMO_Q022LT00_NRESPT = 1;

    /** Constante para la propiedad Q022LT00_NRESPP */

    public final static int COLUMN_Q022LT00_NRESPP = 10;

    /** Constante para la propiedad Q022LT00_NRESPP */

    public final static String NOMCOLUMN_Q022LT00_NRESPP = "Q022LT00_NRESPP";

    /** Constante para la propiedad Q022LT00_NRESPP */

    public final static int TAM_MAXIMO_Q022LT00_NRESPP = 1;

    /** Constante para la propiedad Q022LT00_OBSHR */

    public final static int COLUMN_Q022LT00_OBSHR = 11;

    /** Constante para la propiedad Q022LT00_OBSHR */

    public final static String NOMCOLUMN_Q022LT00_OBSHR = "Q022LT00_OBSHR";

    /** Constante para la propiedad Q022LT00_OBSHR */

    public final static int TAM_MAXIMO_Q022LT00_OBSHR = 250;

    /** Constante para la propiedad Q022HT00_ID_OFI */

    public final static int COLUMN_Q022HT00_ID_OFI = 12;

    /** Constante para la propiedad Q022HT00_ID_OFI */

    public final static String NOMCOLUMN_Q022HT00_ID_OFI = "Q022HT00_ID_OFI";

    /** Constante para la propiedad Q022HT00_ID_OFI */

    public final static int TAM_MAXIMO_Q022HT00_ID_OFI = 8;

    /** Constante para la propiedad Q022YT00_NI_FORMA */

    public final static int COLUMN_Q022YT00_NI_FORMA = 13;

    /** Constante para la propiedad Q022YT00_NI_FORMA */

    public final static String NOMCOLUMN_Q022YT00_NI_FORMA = "Q022YT00_NI_FORMA";

    /** Constante para la propiedad Q022YT00_NI_FORMA */

    public final static int TAM_MAXIMO_Q022YT00_NI_FORMA = 10;

    /** Constante para la propiedad Q022YT00_NI_RESUL_ENC */

    public final static int COLUMN_Q022YT00_NI_RESUL_ENC = 14;

    /** Constante para la propiedad Q022YT00_NI_RESUL_ENC */

    public final static String NOMCOLUMN_Q022YT00_NI_RESUL_ENC = "Q022YT00_NI_RESUL_ENC";

    /** Constante para la propiedad Q022YT00_NI_RESUL_ENC */

    public final static int TAM_MAXIMO_Q022YT00_NI_RESUL_ENC = 10;

    /** Constante para la propiedad Q022YT00_NI_SITU_INSP */

    public final static int COLUMN_Q022YT00_NI_SITU_INSP = 15;

    /** Constante para la propiedad Q022YT00_NI_SITU_INSP */

    public final static String NOMCOLUMN_Q022YT00_NI_SITU_INSP = "Q022YT00_NI_SITU_INSP";

    /** Constante para la propiedad Q022YT00_NI_SITU_INSP */

    public final static int TAM_MAXIMO_Q022YT00_NI_SITU_INSP = 10;

    /** Constante para la propiedad Q022YT00_NI_RESUL_INSP */

    public final static int COLUMN_Q022YT00_NI_RESUL_INSP = 16;

    /** Constante para la propiedad Q022YT00_NI_RESUL_INSP */

    public final static String NOMCOLUMN_Q022YT00_NI_RESUL_INSP = "Q022YT00_NI_RESUL_INSP";

    /** Constante para la propiedad Q022YT00_NI_RESUL_INSP */

    public final static int TAM_MAXIMO_Q022YT00_NI_RESUL_INSP = 10;

    /** Constante para la propiedad NORA_T17_PROVINCIA_DS */

    public final static int COLUMN_NORA_T17_PROVINCIA_DS = 17;

    /** Constante para la propiedad NORA_T17_PROVINCIA_DS */

    public final static String NOMCOLUMN_NORA_T17_PROVINCIA_DS = "NORA_T17_PROVINCIA_DS";

    /** Constante para la propiedad NORA_T17_PROVINCIA_DS */

    public final static int TAM_MAXIMO_NORA_T17_PROVINCIA_DS = 50;

    /** Constante para la propiedad NORA_T17_MUNICIPIO_DS */

    public final static int COLUMN_NORA_T17_MUNICIPIO_DS = 18;

    /** Constante para la propiedad NORA_T17_MUNICIPIO_DS */

    public final static String NOMCOLUMN_NORA_T17_MUNICIPIO_DS = "NORA_T17_MUNICIPIO_DS";

    /** Constante para la propiedad NORA_T17_MUNICIPIO_DS */

    public final static int TAM_MAXIMO_NORA_T17_MUNICIPIO_DS = 50;

    /** Constante para la propiedad Q022HT00_DESC */

    public final static int COLUMN_Q022HT00_DESC = 19;

    /** Constante para la propiedad Q022HT00_DESC */

    public final static String NOMCOLUMN_Q022HT00_DESC = "Q022HT00_DESC";

    /** Constante para la propiedad Q022HT00_DESC */

    public final static int TAM_MAXIMO_Q022HT00_DESC = 50;

    /** Constante para la propiedad Q022HT00_DESC_EUS */

    public final static int COLUMN_Q022HT00_DESC_EUS = 20;

    /** Constante para la propiedad Q022HT00_DESC_EUS */

    public final static String NOMCOLUMN_Q022HT00_DESC_EUS = "Q022HT00_DESC_EUS";

    /** Constante para la propiedad Q022HT00_DESC_EUS */

    public final static int TAM_MAXIMO_Q022HT00_DESC_EUS = 50;

    /** Constante para la propiedad Q022YT00_COD_FORMA */

    public final static int COLUMN_Q022YT00_COD_FORMA = 21;

    /** Constante para la propiedad Q022YT00_COD_FORMA */

    public final static String NOMCOLUMN_Q022YT00_COD_FORMA = "Q022YT00_COD_FORMA";

    /** Constante para la propiedad Q022YT00_COD_FORMA */

    public final static int TAM_MAXIMO_Q022YT00_COD_FORMA = 15;

    /** Constante para la propiedad Q022YT00_DESC_FORMA */

    public final static int COLUMN_Q022YT00_DESC_FORMA = 22;

    /** Constante para la propiedad Q022YT00_DESC_FORMA */

    public final static String NOMCOLUMN_Q022YT00_DESC_FORMA = "Q022YT00_DESC_FORMA";

    /** Constante para la propiedad Q022YT00_DESC_FORMA */

    public final static int TAM_MAXIMO_Q022YT00_DESC_FORMA = 500;

    /** Constante para la propiedad Q022YT00_DESCE_FORMA */

    public final static int COLUMN_Q022YT00_DESCE_FORMA = 23;

    /** Constante para la propiedad Q022YT00_DESCE_FORMA */

    public final static String NOMCOLUMN_Q022YT00_DESCE_FORMA = "Q022YT00_DESCE_FORMA";

    /** Constante para la propiedad Q022YT00_DESCE_FORMA */

    public final static int TAM_MAXIMO_Q022YT00_DESCE_FORMA = 500;

    /** Constante para la propiedad Q022YT00_COD_RESUL_ENC */

    public final static int COLUMN_Q022YT00_COD_RESUL_ENC = 24;

    /** Constante para la propiedad Q022YT00_COD_RESUL_ENC */

    public final static String NOMCOLUMN_Q022YT00_COD_RESUL_ENC = "Q022YT00_COD_RESUL_ENC";

    /** Constante para la propiedad Q022YT00_COD_RESUL_ENC */

    public final static int TAM_MAXIMO_Q022YT00_COD_RESUL_ENC = 15;

    /** Constante para la propiedad Q022YT00_DESC_RESUL_ENC */

    public final static int COLUMN_Q022YT00_DESC_RESUL_ENC = 25;

    /** Constante para la propiedad Q022YT00_DESC_RESUL_ENC */

    public final static String NOMCOLUMN_Q022YT00_DESC_RESUL_ENC = "Q022YT00_DESC_RESUL_ENC";

    /** Constante para la propiedad Q022YT00_DESC_RESUL_ENC */

    public final static int TAM_MAXIMO_Q022YT00_DESC_RESUL_ENC = 500;

    /** Constante para la propiedad Q022YT00_DESCE_RESUL_ENC */

    public final static int COLUMN_Q022YT00_DESCE_RESUL_ENC = 26;

    /** Constante para la propiedad Q022YT00_DESCE_RESUL_ENC */

    public final static String NOMCOLUMN_Q022YT00_DESCE_RESUL_ENC = "Q022YT00_DESCE_RESUL_ENC";

    /** Constante para la propiedad Q022YT00_DESCE_RESUL_ENC */

    public final static int TAM_MAXIMO_Q022YT00_DESCE_RESUL_ENC = 500;

    /** Constante para la propiedad Q022YT00_COD_SITU_INSP */

    public final static int COLUMN_Q022YT00_COD_SITU_INSP = 27;

    /** Constante para la propiedad Q022YT00_COD_SITU_INSP */

    public final static String NOMCOLUMN_Q022YT00_COD_SITU_INSP = "Q022YT00_COD_SITU_INSP";

    /** Constante para la propiedad Q022YT00_COD_SITU_INSP */

    public final static int TAM_MAXIMO_Q022YT00_COD_SITU_INSP = 15;

    /** Constante para la propiedad Q022YT00_DESC_SITU_INSP */

    public final static int COLUMN_Q022YT00_DESC_SITU_INSP = 28;

    /** Constante para la propiedad Q022YT00_DESC_SITU_INSP */

    public final static String NOMCOLUMN_Q022YT00_DESC_SITU_INSP = "Q022YT00_DESC_SITU_INSP";

    /** Constante para la propiedad Q022YT00_DESC_SITU_INSP */

    public final static int TAM_MAXIMO_Q022YT00_DESC_SITU_INSP = 500;

    /** Constante para la propiedad Q022YT00_DESCE_SITU_INSP */

    public final static int COLUMN_Q022YT00_DESCE_SITU_INSP = 29;

    /** Constante para la propiedad Q022YT00_DESCE_SITU_INSP */

    public final static String NOMCOLUMN_Q022YT00_DESCE_SITU_INSP = "Q022YT00_DESCE_SITU_INSP";

    /** Constante para la propiedad Q022YT00_DESCE_SITU_INSP */

    public final static int TAM_MAXIMO_Q022YT00_DESCE_SITU_INSP = 500;

    /** Constante para la propiedad Q022YT00_COD_RESUL_INSP */

    public final static int COLUMN_Q022YT00_COD_RESUL_INSP = 30;

    /** Constante para la propiedad Q022YT00_COD_RESUL_INSP */

    public final static String NOMCOLUMN_Q022YT00_COD_RESUL_INSP = "Q022YT00_COD_RESUL_INSP";

    /** Constante para la propiedad Q022YT00_COD_RESUL_INSP */

    public final static int TAM_MAXIMO_Q022YT00_COD_RESUL_INSP = 15;

    /** Constante para la propiedad Q022YT00_DESC_RESUL_INSP */

    public final static int COLUMN_Q022YT00_DESC_RESUL_INSP = 31;

    /** Constante para la propiedad Q022YT00_DESC_RESUL_INSP */

    public final static String NOMCOLUMN_Q022YT00_DESC_RESUL_INSP = "Q022YT00_DESC_RESUL_INSP";

    /** Constante para la propiedad Q022YT00_DESC_RESUL_INSP */

    public final static int TAM_MAXIMO_Q022YT00_DESC_RESUL_INSP = 500;

    /** Constante para la propiedad Q022YT00_DESCE_RESUL_INSP */

    public final static int COLUMN_Q022YT00_DESCE_RESUL_INSP = 32;

    /** Constante para la propiedad Q022YT00_DESCE_RESUL_INSP */

    public final static String NOMCOLUMN_Q022YT00_DESCE_RESUL_INSP = "Q022YT00_DESCE_RESUL_INSP";

    /** Constante para la propiedad Q022YT00_DESCE_RESUL_INSP */

    public final static int TAM_MAXIMO_Q022YT00_DESCE_RESUL_INSP = 500;

    /** Constante para la propiedad NUMCOLUMNAS */

    public final static int COLUMN_NUMCOLUMNAS = 32;

    protected StringBuffer queryLog = new StringBuffer();

    /** Holds value of property Q022LT00_ID_RESUL_WHERE */

    protected Integer Q022LT00_ID_RESUL_WHERE = null;

    protected boolean Q022LT00_ID_RESUL_MODIF = false;

    /** Holds value of property Q022LT00_PROV_WHERE */

    protected String Q022LT00_PROV_WHERE = null;

    protected boolean Q022LT00_PROV_MODIF = false;

    /** Holds value of property Q022LT00_MUNI_WHERE */

    protected String Q022LT00_MUNI_WHERE = null;

    protected boolean Q022LT00_MUNI_MODIF = false;

    /** Holds value of property Q022LT00_OTRF_WHERE */

    protected String Q022LT00_OTRF_WHERE = null;

    protected boolean Q022LT00_OTRF_MODIF = false;

    /** Holds value of property Q022LT00_NRESPH_WHERE */

    protected String Q022LT00_NRESPH_WHERE = null;

    protected boolean Q022LT00_NRESPH_MODIF = false;

    /** Holds value of property Q022LT00_NRESPV_WHERE */

    protected String Q022LT00_NRESPV_WHERE = null;

    protected boolean Q022LT00_NRESPV_MODIF = false;

    /** Holds value of property Q022LT00_NRESPS_WHERE */

    protected String Q022LT00_NRESPS_WHERE = null;

    protected boolean Q022LT00_NRESPS_MODIF = false;

    /** Holds value of property Q022LT00_NRESPA_WHERE */

    protected String Q022LT00_NRESPA_WHERE = null;

    protected boolean Q022LT00_NRESPA_MODIF = false;

    /** Holds value of property Q022LT00_NRESPT_WHERE */

    protected String Q022LT00_NRESPT_WHERE = null;

    protected boolean Q022LT00_NRESPT_MODIF = false;

    /** Holds value of property Q022LT00_NRESPP_WHERE */

    protected String Q022LT00_NRESPP_WHERE = null;

    protected boolean Q022LT00_NRESPP_MODIF = false;

    /** Holds value of property Q022LT00_OBSHR_WHERE */

    protected String Q022LT00_OBSHR_WHERE = null;

    protected boolean Q022LT00_OBSHR_MODIF = false;

    /** Holds value of property Q022HT00_ID_OFI_WHERE */

    protected Integer Q022HT00_ID_OFI_WHERE = null;

    protected boolean Q022HT00_ID_OFI_MODIF = false;

    /** Holds value of property Q022YT00_NI_FORMA_WHERE */

    protected Long Q022YT00_NI_FORMA_WHERE = null;

    protected boolean Q022YT00_NI_FORMA_MODIF = false;

    /** Holds value of property Q022YT00_NI_RESUL_ENC_WHERE */

    protected Long Q022YT00_NI_RESUL_ENC_WHERE = null;

    protected boolean Q022YT00_NI_RESUL_ENC_MODIF = false;

    /** Holds value of property Q022YT00_NI_SITU_INSP_WHERE */

    protected Long Q022YT00_NI_SITU_INSP_WHERE = null;

    protected boolean Q022YT00_NI_SITU_INSP_MODIF = false;

    /** Holds value of property Q022YT00_NI_RESUL_INSP_WHERE */

    protected Long Q022YT00_NI_RESUL_INSP_WHERE = null;

    protected boolean Q022YT00_NI_RESUL_INSP_MODIF = false;

    /** Holds value of property NORA_T17_PROVINCIA_DS_WHERE */

    protected String NORA_T17_PROVINCIA_DS_WHERE = null;

    protected boolean NORA_T17_PROVINCIA_DS_MODIF = false;

    /** Holds value of property NORA_T17_MUNICIPIO_DS_WHERE */

    protected String NORA_T17_MUNICIPIO_DS_WHERE = null;

    protected boolean NORA_T17_MUNICIPIO_DS_MODIF = false;

    /** Holds value of property Q022HT00_DESC_WHERE */

    protected String Q022HT00_DESC_WHERE = null;

    protected boolean Q022HT00_DESC_MODIF = false;

    /** Holds value of property Q022HT00_DESC_EUS_WHERE */

    protected String Q022HT00_DESC_EUS_WHERE = null;

    protected boolean Q022HT00_DESC_EUS_MODIF = false;

    /** Holds value of property Q022YT00_COD_FORMA_WHERE */

    protected String Q022YT00_COD_FORMA_WHERE = null;

    protected boolean Q022YT00_COD_FORMA_MODIF = false;

    /** Holds value of property Q022YT00_DESC_FORMA_WHERE */

    protected String Q022YT00_DESC_FORMA_WHERE = null;

    protected boolean Q022YT00_DESC_FORMA_MODIF = false;

    /** Holds value of property Q022YT00_DESCE_FORMA_WHERE */

    protected String Q022YT00_DESCE_FORMA_WHERE = null;

    protected boolean Q022YT00_DESCE_FORMA_MODIF = false;

    /** Holds value of property Q022YT00_COD_RESUL_ENC_WHERE */

    protected String Q022YT00_COD_RESUL_ENC_WHERE = null;

    protected boolean Q022YT00_COD_RESUL_ENC_MODIF = false;

    /** Holds value of property Q022YT00_DESC_RESUL_ENC_WHERE */

    protected String Q022YT00_DESC_RESUL_ENC_WHERE = null;

    protected boolean Q022YT00_DESC_RESUL_ENC_MODIF = false;

    /** Holds value of property Q022YT00_DESCE_RESUL_ENC_WHERE */

    protected String Q022YT00_DESCE_RESUL_ENC_WHERE = null;

    protected boolean Q022YT00_DESCE_RESUL_ENC_MODIF = false;

    /** Holds value of property Q022YT00_COD_SITU_INSP_WHERE */

    protected String Q022YT00_COD_SITU_INSP_WHERE = null;

    protected boolean Q022YT00_COD_SITU_INSP_MODIF = false;

    /** Holds value of property Q022YT00_DESC_SITU_INSP_WHERE */

    protected String Q022YT00_DESC_SITU_INSP_WHERE = null;

    protected boolean Q022YT00_DESC_SITU_INSP_MODIF = false;

    /** Holds value of property Q022YT00_DESCE_SITU_INSP_WHERE */

    protected String Q022YT00_DESCE_SITU_INSP_WHERE = null;

    protected boolean Q022YT00_DESCE_SITU_INSP_MODIF = false;

    /** Holds value of property Q022YT00_COD_RESUL_INSP_WHERE */

    protected String Q022YT00_COD_RESUL_INSP_WHERE = null;

    protected boolean Q022YT00_COD_RESUL_INSP_MODIF = false;

    /** Holds value of property Q022YT00_DESC_RESUL_INSP_WHERE */

    protected String Q022YT00_DESC_RESUL_INSP_WHERE = null;

    protected boolean Q022YT00_DESC_RESUL_INSP_MODIF = false;

    /** Holds value of property Q022YT00_DESCE_RESUL_INSP_WHERE */

    protected String Q022YT00_DESCE_RESUL_INSP_WHERE = null;

    protected boolean Q022YT00_DESCE_RESUL_INSP_MODIF = false;

    /** Holds value of property auditUser. */

    protected Long  auditUser = new Long(0);

    /** Holds value of property numMaxRegistros. */

    protected int  numMaxRegistros = 0;

    /** Holds value of property numInicio. */

    protected int  numInicio = 0;

    /** Holds value of property numFinal. */

    protected int  numFinal = 0;

    /** Holds value of property orderBy. */

    protected String  orderBy = null;

    /** Holds value of property limitRows. */

    protected boolean  limitRows = false;

    /** Holds value of property aditionalWhere. */

    protected String  aditionalWhere = null;

    /** Holds value of property initialWhere. */

    protected String  initialWhere = null;

    /** Holds value of property fixedWhere. */

    protected String  fixedWhere = null;

    /** Holds value of property distinct. */

    protected String  distinct = null;

    /** Holds value of property groupBy. */

    protected String  groupBy = null;

    /** Holds value of property max. */

    protected String  max = null;

    /** Holds value of property fechaClase. */

    protected static String sFechaClase = "21/09/09 12:47:04";

    protected String columnas[] =  {"Q022LT00_ID_RESUL", "Q022LT00_PROV", "Q022LT00_MUNI", "Q022LT00_OTRF", "Q022LT00_NRESPH", "Q022LT00_NRESPV", "Q022LT00_NRESPS", "Q022LT00_NRESPA", "Q022LT00_NRESPT", "Q022LT00_NRESPP", "Q022LT00_OBSHR", "Q022HT00_ID_OFI", "Q022YT00_NI_FORMA", "Q022YT00_NI_RESUL_ENC", "Q022YT00_NI_SITU_INSP", "Q022YT00_NI_RESUL_INSP", "NORA_T17_PROVINCIA_DS", "NORA_T17_MUNICIPIO_DS", "Q022HT00_DESC", "Q022HT00_DESC_EUS", "Q022YT00_COD_FORMA", "Q022YT00_DESC_FORMA", "Q022YT00_DESCE_FORMA", "Q022YT00_COD_RESUL_ENC", "Q022YT00_DESC_RESUL_ENC", "Q022YT00_DESCE_RESUL_ENC", "Q022YT00_COD_SITU_INSP", "Q022YT00_DESC_SITU_INSP", "Q022YT00_DESCE_SITU_INSP", "Q022YT00_COD_RESUL_INSP", "Q022YT00_DESC_RESUL_INSP", "Q022YT00_DESCE_RESUL_INSP"};

    protected int tipos[] =  {3, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 3, 3, 3, 3, 3, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12};

    protected int longitudes[] =  {8, 2, 3, 50, 1, 1, 1, 1, 1, 1, 250, 8, 10, 10, 10, 10, 50, 50, 50, 50, 15, 500, 500, 15, 500, 500, 15, 500, 500, 15, 500, 500};

    protected ArrayList columnasSelect = new ArrayList();

    protected StringBuffer sbColumnasSelect = new StringBuffer();

    protected ArrayList alias = new ArrayList();

    protected String columnasPK[] =  {"Q022LT00_ID_RESUL", "Q022LT00_PROV", "Q022LT00_MUNI", "Q022LT00_OTRF", "Q022LT00_NRESPH", "Q022LT00_NRESPV", "Q022LT00_NRESPS", "Q022LT00_NRESPA", "Q022LT00_NRESPT", "Q022LT00_NRESPP", "Q022LT00_OBSHR", "Q022HT00_ID_OFI", "Q022YT00_NI_FORMA", "Q022YT00_NI_RESUL_ENC", "Q022YT00_NI_SITU_INSP", "Q022YT00_NI_RESUL_INSP", "NORA_T17_PROVINCIA_DS", "NORA_T17_MUNICIPIO_DS", "Q022HT00_DESC", "Q022HT00_DESC_EUS", "Q022YT00_COD_FORMA", "Q022YT00_DESC_FORMA", "Q022YT00_DESCE_FORMA", "Q022YT00_COD_RESUL_ENC", "Q022YT00_DESC_RESUL_ENC", "Q022YT00_DESCE_RESUL_ENC", "Q022YT00_COD_SITU_INSP", "Q022YT00_DESC_SITU_INSP", "Q022YT00_DESCE_SITU_INSP", "Q022YT00_COD_RESUL_INSP", "Q022YT00_DESC_RESUL_INSP", "Q022YT00_DESCE_RESUL_INSP"};

    protected boolean nullables[] =  {false,false,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true};



    protected Class arrClases[]={java.sql.Connection.class};

    protected Object arrObjetos[]={connection};

    protected String tableFrom="Q022LS01V01";

    protected int regModif=0;

    protected boolean uncommittedRead=false;

    protected boolean forUpdate=false;

    protected Q02bITablaBDQ022LS01V01 iTablaBDQ022LS01V01 = null;

    /** Creates new Q022LV01 */

    public Q02bTablaBDQ022LS01V01() {

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Creates new Q022LS01V01 */

    public Q02bTablaBDQ022LS01V01(Connection con) {

        connection=con;

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Method reset */

    public void reset() {

        iTablaBDQ022LS01V01.setQ022LT00_ID_RESUL_WHERE(null);

        iTablaBDQ022LS01V01.setQ022LT00_ID_RESUL_MODIF(false);

        iTablaBDQ022LS01V01.setQ022LT00_PROV_WHERE(null);

        iTablaBDQ022LS01V01.setQ022LT00_PROV_MODIF(false);

        iTablaBDQ022LS01V01.setQ022LT00_MUNI_WHERE(null);

        iTablaBDQ022LS01V01.setQ022LT00_MUNI_MODIF(false);

        iTablaBDQ022LS01V01.setQ022LT00_OTRF_WHERE(null);

        iTablaBDQ022LS01V01.setQ022LT00_OTRF_MODIF(false);

        iTablaBDQ022LS01V01.setQ022LT00_NRESPH_WHERE(null);

        iTablaBDQ022LS01V01.setQ022LT00_NRESPH_MODIF(false);

        iTablaBDQ022LS01V01.setQ022LT00_NRESPV_WHERE(null);

        iTablaBDQ022LS01V01.setQ022LT00_NRESPV_MODIF(false);

        iTablaBDQ022LS01V01.setQ022LT00_NRESPS_WHERE(null);

        iTablaBDQ022LS01V01.setQ022LT00_NRESPS_MODIF(false);

        iTablaBDQ022LS01V01.setQ022LT00_NRESPA_WHERE(null);

        iTablaBDQ022LS01V01.setQ022LT00_NRESPA_MODIF(false);

        iTablaBDQ022LS01V01.setQ022LT00_NRESPT_WHERE(null);

        iTablaBDQ022LS01V01.setQ022LT00_NRESPT_MODIF(false);

        iTablaBDQ022LS01V01.setQ022LT00_NRESPP_WHERE(null);

        iTablaBDQ022LS01V01.setQ022LT00_NRESPP_MODIF(false);

        iTablaBDQ022LS01V01.setQ022LT00_OBSHR_WHERE(null);

        iTablaBDQ022LS01V01.setQ022LT00_OBSHR_MODIF(false);

        iTablaBDQ022LS01V01.setQ022HT00_ID_OFI_WHERE(null);

        iTablaBDQ022LS01V01.setQ022HT00_ID_OFI_MODIF(false);

        iTablaBDQ022LS01V01.setQ022YT00_NI_FORMA_WHERE(null);

        iTablaBDQ022LS01V01.setQ022YT00_NI_FORMA_MODIF(false);

        iTablaBDQ022LS01V01.setQ022YT00_NI_RESUL_ENC_WHERE(null);

        iTablaBDQ022LS01V01.setQ022YT00_NI_RESUL_ENC_MODIF(false);

        iTablaBDQ022LS01V01.setQ022YT00_NI_SITU_INSP_WHERE(null);

        iTablaBDQ022LS01V01.setQ022YT00_NI_SITU_INSP_MODIF(false);

        iTablaBDQ022LS01V01.setQ022YT00_NI_RESUL_INSP_WHERE(null);

        iTablaBDQ022LS01V01.setQ022YT00_NI_RESUL_INSP_MODIF(false);

        iTablaBDQ022LS01V01.setNORA_T17_PROVINCIA_DS_WHERE(null);

        iTablaBDQ022LS01V01.setNORA_T17_PROVINCIA_DS_MODIF(false);

        iTablaBDQ022LS01V01.setNORA_T17_MUNICIPIO_DS_WHERE(null);

        iTablaBDQ022LS01V01.setNORA_T17_MUNICIPIO_DS_MODIF(false);

        iTablaBDQ022LS01V01.setQ022HT00_DESC_WHERE(null);

        iTablaBDQ022LS01V01.setQ022HT00_DESC_MODIF(false);

        iTablaBDQ022LS01V01.setQ022HT00_DESC_EUS_WHERE(null);

        iTablaBDQ022LS01V01.setQ022HT00_DESC_EUS_MODIF(false);

        iTablaBDQ022LS01V01.setQ022YT00_COD_FORMA_WHERE(null);

        iTablaBDQ022LS01V01.setQ022YT00_COD_FORMA_MODIF(false);

        iTablaBDQ022LS01V01.setQ022YT00_DESC_FORMA_WHERE(null);

        iTablaBDQ022LS01V01.setQ022YT00_DESC_FORMA_MODIF(false);

        iTablaBDQ022LS01V01.setQ022YT00_DESCE_FORMA_WHERE(null);

        iTablaBDQ022LS01V01.setQ022YT00_DESCE_FORMA_MODIF(false);

        iTablaBDQ022LS01V01.setQ022YT00_COD_RESUL_ENC_WHERE(null);

        iTablaBDQ022LS01V01.setQ022YT00_COD_RESUL_ENC_MODIF(false);

        iTablaBDQ022LS01V01.setQ022YT00_DESC_RESUL_ENC_WHERE(null);

        iTablaBDQ022LS01V01.setQ022YT00_DESC_RESUL_ENC_MODIF(false);

        iTablaBDQ022LS01V01.setQ022YT00_DESCE_RESUL_ENC_WHERE(null);

        iTablaBDQ022LS01V01.setQ022YT00_DESCE_RESUL_ENC_MODIF(false);

        iTablaBDQ022LS01V01.setQ022YT00_COD_SITU_INSP_WHERE(null);

        iTablaBDQ022LS01V01.setQ022YT00_COD_SITU_INSP_MODIF(false);

        iTablaBDQ022LS01V01.setQ022YT00_DESC_SITU_INSP_WHERE(null);

        iTablaBDQ022LS01V01.setQ022YT00_DESC_SITU_INSP_MODIF(false);

        iTablaBDQ022LS01V01.setQ022YT00_DESCE_SITU_INSP_WHERE(null);

        iTablaBDQ022LS01V01.setQ022YT00_DESCE_SITU_INSP_MODIF(false);

        iTablaBDQ022LS01V01.setQ022YT00_COD_RESUL_INSP_WHERE(null);

        iTablaBDQ022LS01V01.setQ022YT00_COD_RESUL_INSP_MODIF(false);

        iTablaBDQ022LS01V01.setQ022YT00_DESC_RESUL_INSP_WHERE(null);

        iTablaBDQ022LS01V01.setQ022YT00_DESC_RESUL_INSP_MODIF(false);

        iTablaBDQ022LS01V01.setQ022YT00_DESCE_RESUL_INSP_WHERE(null);

        iTablaBDQ022LS01V01.setQ022YT00_DESCE_RESUL_INSP_MODIF(false);

        iTablaBDQ022LS01V01.setNumMaxRegistros(0);

        iTablaBDQ022LS01V01.setNumInicio(0);

        iTablaBDQ022LS01V01.setNumFinal(0);

        iTablaBDQ022LS01V01.setOrderBy(null);

        iTablaBDQ022LS01V01.setAditionalWhere(null);

        iTablaBDQ022LS01V01.setInitialWhere(null);

        iTablaBDQ022LS01V01.setFixedWhere(null);

        iTablaBDQ022LS01V01.setDistinct(null);

        iTablaBDQ022LS01V01.setMax(null);

        columnasSelect = null;

        tableFrom = "Q022LS01V01";

        iTablaBDQ022LS01V01.setUncommittedRead(false);

        iTablaBDQ022LS01V01.setForUpdate(false);

        iTablaBDQ022LS01V01.setGroupBy(null);

    }



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna) {

        iTablaBDQ022LS01V01.addColumnSelect(nombreColumna);

    }



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect() {

        iTablaBDQ022LS01V01.clearColumnsSelect();

    }



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas) {

        iTablaBDQ022LS01V01.setColumnsSelect(listaColumnas);

    }



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas) {

        iTablaBDQ022LS01V01.setTableFrom(listaTablas);

    }



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom() {

        return iTablaBDQ022LS01V01.getTableFrom();

    }



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif() {

        return iTablaBDQ022LS01V01.getRegModif();

    }



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur) {

        iTablaBDQ022LS01V01.setUncommittedRead(ur);

    }



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead() {

        return iTablaBDQ022LS01V01.getUncommittedRead();

    }



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu) {

        iTablaBDQ022LS01V01.setForUpdate(fu);

    }



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate() {

        return iTablaBDQ022LS01V01.getForUpdate();

    }



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas) {

             iTablaBDQ022LS01V01.setGroupBy(listaColumnas);

    }



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy() {

        return iTablaBDQ022LS01V01.getGroupBy();

    }



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect() {

        return iTablaBDQ022LS01V01.getColumnsSelect();

    }



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException  {

        return iTablaBDQ022LS01V01.select(where);

    }



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException  {

        return iTablaBDQ022LS01V01.selectCount(where);

    }



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException  {

        return iTablaBDQ022LS01V01.selectDistinct(where);

    }



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException  {

        return iTablaBDQ022LS01V01.selectMax(where);

    }



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException  {

        return iTablaBDQ022LS01V01.select();

    }



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException  {

        return iTablaBDQ022LS01V01.selectCount();

    }



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException  {

        return iTablaBDQ022LS01V01.selectDistinct();

    }



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException  {

        return iTablaBDQ022LS01V01.selectMax();

    }













    public void setQ022LT00_ID_RESUL_WHERE(int valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_ID_RESUL_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_ID_RESUL_WHERE(valor);

        }

    }



    public void setQ022LT00_ID_RESUL_WHERE(Integer valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_ID_RESUL_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_ID_RESUL_WHERE(valor);

        }

    }



    public void setQ022LT00_ID_RESUL_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_ID_RESUL_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_ID_RESUL_MODIF(valor);

        }

    }



    public void setQ022LT00_PROV_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_PROV_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_PROV_WHERE(valor);

        }

    }



    public void setQ022LT00_PROV_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_PROV_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_PROV_MODIF(valor);

        }

    }



    public void setQ022LT00_MUNI_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_MUNI_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_MUNI_WHERE(valor);

        }

    }



    public void setQ022LT00_MUNI_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_MUNI_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_MUNI_MODIF(valor);

        }

    }



    public void setQ022LT00_OTRF_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_OTRF_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_OTRF_WHERE(valor);

        }

    }



    public void setQ022LT00_OTRF_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_OTRF_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_OTRF_MODIF(valor);

        }

    }



    public void setQ022LT00_NRESPH_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_NRESPH_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_NRESPH_WHERE(valor);

        }

    }



    public void setQ022LT00_NRESPH_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_NRESPH_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_NRESPH_MODIF(valor);

        }

    }



    public void setQ022LT00_NRESPV_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_NRESPV_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_NRESPV_WHERE(valor);

        }

    }



    public void setQ022LT00_NRESPV_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_NRESPV_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_NRESPV_MODIF(valor);

        }

    }



    public void setQ022LT00_NRESPS_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_NRESPS_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_NRESPS_WHERE(valor);

        }

    }



    public void setQ022LT00_NRESPS_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_NRESPS_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_NRESPS_MODIF(valor);

        }

    }



    public void setQ022LT00_NRESPA_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_NRESPA_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_NRESPA_WHERE(valor);

        }

    }



    public void setQ022LT00_NRESPA_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_NRESPA_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_NRESPA_MODIF(valor);

        }

    }



    public void setQ022LT00_NRESPT_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_NRESPT_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_NRESPT_WHERE(valor);

        }

    }



    public void setQ022LT00_NRESPT_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_NRESPT_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_NRESPT_MODIF(valor);

        }

    }



    public void setQ022LT00_NRESPP_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_NRESPP_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_NRESPP_WHERE(valor);

        }

    }



    public void setQ022LT00_NRESPP_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_NRESPP_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_NRESPP_MODIF(valor);

        }

    }



    public void setQ022LT00_OBSHR_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_OBSHR_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_OBSHR_WHERE(valor);

        }

    }



    public void setQ022LT00_OBSHR_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022LT00_OBSHR_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022LT00_OBSHR_MODIF(valor);

        }

    }



    public void setQ022HT00_ID_OFI_WHERE(int valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022HT00_ID_OFI_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022LS01V01.setQ022HT00_ID_OFI_WHERE(valor);

        }

    }



    public void setQ022HT00_ID_OFI_WHERE(Integer valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022HT00_ID_OFI_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022HT00_ID_OFI_WHERE(valor);

        }

    }



    public void setQ022HT00_ID_OFI_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022HT00_ID_OFI_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022HT00_ID_OFI_MODIF(valor);

        }

    }



    public void setQ022YT00_NI_FORMA_WHERE(long valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_NI_FORMA_WHERE=new Long(valor);

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_NI_FORMA_WHERE(valor);

        }

    }



    public void setQ022YT00_NI_FORMA_WHERE(Long valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_NI_FORMA_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_NI_FORMA_WHERE(valor);

        }

    }



    public void setQ022YT00_NI_FORMA_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_NI_FORMA_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_NI_FORMA_MODIF(valor);

        }

    }



    public void setQ022YT00_NI_RESUL_ENC_WHERE(long valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_NI_RESUL_ENC_WHERE=new Long(valor);

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_NI_RESUL_ENC_WHERE(valor);

        }

    }



    public void setQ022YT00_NI_RESUL_ENC_WHERE(Long valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_NI_RESUL_ENC_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_NI_RESUL_ENC_WHERE(valor);

        }

    }



    public void setQ022YT00_NI_RESUL_ENC_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_NI_RESUL_ENC_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_NI_RESUL_ENC_MODIF(valor);

        }

    }



    public void setQ022YT00_NI_SITU_INSP_WHERE(long valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_NI_SITU_INSP_WHERE=new Long(valor);

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_NI_SITU_INSP_WHERE(valor);

        }

    }



    public void setQ022YT00_NI_SITU_INSP_WHERE(Long valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_NI_SITU_INSP_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_NI_SITU_INSP_WHERE(valor);

        }

    }



    public void setQ022YT00_NI_SITU_INSP_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_NI_SITU_INSP_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_NI_SITU_INSP_MODIF(valor);

        }

    }



    public void setQ022YT00_NI_RESUL_INSP_WHERE(long valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_NI_RESUL_INSP_WHERE=new Long(valor);

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_NI_RESUL_INSP_WHERE(valor);

        }

    }



    public void setQ022YT00_NI_RESUL_INSP_WHERE(Long valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_NI_RESUL_INSP_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_NI_RESUL_INSP_WHERE(valor);

        }

    }



    public void setQ022YT00_NI_RESUL_INSP_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_NI_RESUL_INSP_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_NI_RESUL_INSP_MODIF(valor);

        }

    }



    public void setNORA_T17_PROVINCIA_DS_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.NORA_T17_PROVINCIA_DS_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setNORA_T17_PROVINCIA_DS_WHERE(valor);

        }

    }



    public void setNORA_T17_PROVINCIA_DS_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.NORA_T17_PROVINCIA_DS_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setNORA_T17_PROVINCIA_DS_MODIF(valor);

        }

    }



    public void setNORA_T17_MUNICIPIO_DS_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.NORA_T17_MUNICIPIO_DS_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setNORA_T17_MUNICIPIO_DS_WHERE(valor);

        }

    }



    public void setNORA_T17_MUNICIPIO_DS_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.NORA_T17_MUNICIPIO_DS_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setNORA_T17_MUNICIPIO_DS_MODIF(valor);

        }

    }



    public void setQ022HT00_DESC_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022HT00_DESC_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022HT00_DESC_WHERE(valor);

        }

    }



    public void setQ022HT00_DESC_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022HT00_DESC_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022HT00_DESC_MODIF(valor);

        }

    }



    public void setQ022HT00_DESC_EUS_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022HT00_DESC_EUS_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022HT00_DESC_EUS_WHERE(valor);

        }

    }



    public void setQ022HT00_DESC_EUS_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022HT00_DESC_EUS_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022HT00_DESC_EUS_MODIF(valor);

        }

    }



    public void setQ022YT00_COD_FORMA_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_COD_FORMA_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_COD_FORMA_WHERE(valor);

        }

    }



    public void setQ022YT00_COD_FORMA_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_COD_FORMA_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_COD_FORMA_MODIF(valor);

        }

    }



    public void setQ022YT00_DESC_FORMA_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_DESC_FORMA_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_DESC_FORMA_WHERE(valor);

        }

    }



    public void setQ022YT00_DESC_FORMA_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_DESC_FORMA_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_DESC_FORMA_MODIF(valor);

        }

    }



    public void setQ022YT00_DESCE_FORMA_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_DESCE_FORMA_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_DESCE_FORMA_WHERE(valor);

        }

    }



    public void setQ022YT00_DESCE_FORMA_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_DESCE_FORMA_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_DESCE_FORMA_MODIF(valor);

        }

    }



    public void setQ022YT00_COD_RESUL_ENC_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_COD_RESUL_ENC_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_COD_RESUL_ENC_WHERE(valor);

        }

    }



    public void setQ022YT00_COD_RESUL_ENC_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_COD_RESUL_ENC_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_COD_RESUL_ENC_MODIF(valor);

        }

    }



    public void setQ022YT00_DESC_RESUL_ENC_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_DESC_RESUL_ENC_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_DESC_RESUL_ENC_WHERE(valor);

        }

    }



    public void setQ022YT00_DESC_RESUL_ENC_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_DESC_RESUL_ENC_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_DESC_RESUL_ENC_MODIF(valor);

        }

    }



    public void setQ022YT00_DESCE_RESUL_ENC_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_DESCE_RESUL_ENC_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_DESCE_RESUL_ENC_WHERE(valor);

        }

    }



    public void setQ022YT00_DESCE_RESUL_ENC_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_DESCE_RESUL_ENC_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_DESCE_RESUL_ENC_MODIF(valor);

        }

    }



    public void setQ022YT00_COD_SITU_INSP_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_COD_SITU_INSP_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_COD_SITU_INSP_WHERE(valor);

        }

    }



    public void setQ022YT00_COD_SITU_INSP_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_COD_SITU_INSP_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_COD_SITU_INSP_MODIF(valor);

        }

    }



    public void setQ022YT00_DESC_SITU_INSP_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_DESC_SITU_INSP_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_DESC_SITU_INSP_WHERE(valor);

        }

    }



    public void setQ022YT00_DESC_SITU_INSP_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_DESC_SITU_INSP_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_DESC_SITU_INSP_MODIF(valor);

        }

    }



    public void setQ022YT00_DESCE_SITU_INSP_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_DESCE_SITU_INSP_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_DESCE_SITU_INSP_WHERE(valor);

        }

    }



    public void setQ022YT00_DESCE_SITU_INSP_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_DESCE_SITU_INSP_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_DESCE_SITU_INSP_MODIF(valor);

        }

    }



    public void setQ022YT00_COD_RESUL_INSP_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_COD_RESUL_INSP_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_COD_RESUL_INSP_WHERE(valor);

        }

    }



    public void setQ022YT00_COD_RESUL_INSP_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_COD_RESUL_INSP_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_COD_RESUL_INSP_MODIF(valor);

        }

    }



    public void setQ022YT00_DESC_RESUL_INSP_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_DESC_RESUL_INSP_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_DESC_RESUL_INSP_WHERE(valor);

        }

    }



    public void setQ022YT00_DESC_RESUL_INSP_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_DESC_RESUL_INSP_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_DESC_RESUL_INSP_MODIF(valor);

        }

    }



    public void setQ022YT00_DESCE_RESUL_INSP_WHERE(String valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_DESCE_RESUL_INSP_WHERE=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_DESCE_RESUL_INSP_WHERE(valor);

        }

    }



    public void setQ022YT00_DESCE_RESUL_INSP_MODIF(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.Q022YT00_DESCE_RESUL_INSP_MODIF=valor;

        }else{

           iTablaBDQ022LS01V01.setQ022YT00_DESCE_RESUL_INSP_MODIF(valor);

        }

    }



    /** Setter for property auditUser. 

    * @param valor New value of property auditUser.

    */

    public void  setAuditUser (long valor) {

             this.auditUser= new Long(valor);

    }



    /** Setter for property auditUser. 

    * @param valor New value of property auditUser.

    */

    public void  setAuditUser (Long valor) {

             this.auditUser= valor;

    }



    /** Getter for property Q022LT00_ID_RESUL_WHERE.

    * @return Value of property Q022LT00_ID_RESUL_WHERE.

    */

    public Integer getQ022LT00_ID_RESUL_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022LT00_ID_RESUL_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022LT00_ID_RESUL_WHERE();

        }

    }



    /** Getter for property Q022LT00_PROV_WHERE.

    * @return Value of property Q022LT00_PROV_WHERE.

    */

    public String getQ022LT00_PROV_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022LT00_PROV_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022LT00_PROV_WHERE();

        }

    }



    /** Getter for property Q022LT00_MUNI_WHERE.

    * @return Value of property Q022LT00_MUNI_WHERE.

    */

    public String getQ022LT00_MUNI_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022LT00_MUNI_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022LT00_MUNI_WHERE();

        }

    }



    /** Getter for property Q022LT00_OTRF_WHERE.

    * @return Value of property Q022LT00_OTRF_WHERE.

    */

    public String getQ022LT00_OTRF_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022LT00_OTRF_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022LT00_OTRF_WHERE();

        }

    }



    /** Getter for property Q022LT00_NRESPH_WHERE.

    * @return Value of property Q022LT00_NRESPH_WHERE.

    */

    public String getQ022LT00_NRESPH_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022LT00_NRESPH_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022LT00_NRESPH_WHERE();

        }

    }



    /** Getter for property Q022LT00_NRESPV_WHERE.

    * @return Value of property Q022LT00_NRESPV_WHERE.

    */

    public String getQ022LT00_NRESPV_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022LT00_NRESPV_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022LT00_NRESPV_WHERE();

        }

    }



    /** Getter for property Q022LT00_NRESPS_WHERE.

    * @return Value of property Q022LT00_NRESPS_WHERE.

    */

    public String getQ022LT00_NRESPS_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022LT00_NRESPS_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022LT00_NRESPS_WHERE();

        }

    }



    /** Getter for property Q022LT00_NRESPA_WHERE.

    * @return Value of property Q022LT00_NRESPA_WHERE.

    */

    public String getQ022LT00_NRESPA_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022LT00_NRESPA_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022LT00_NRESPA_WHERE();

        }

    }



    /** Getter for property Q022LT00_NRESPT_WHERE.

    * @return Value of property Q022LT00_NRESPT_WHERE.

    */

    public String getQ022LT00_NRESPT_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022LT00_NRESPT_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022LT00_NRESPT_WHERE();

        }

    }



    /** Getter for property Q022LT00_NRESPP_WHERE.

    * @return Value of property Q022LT00_NRESPP_WHERE.

    */

    public String getQ022LT00_NRESPP_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022LT00_NRESPP_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022LT00_NRESPP_WHERE();

        }

    }



    /** Getter for property Q022LT00_OBSHR_WHERE.

    * @return Value of property Q022LT00_OBSHR_WHERE.

    */

    public String getQ022LT00_OBSHR_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022LT00_OBSHR_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022LT00_OBSHR_WHERE();

        }

    }



    /** Getter for property Q022HT00_ID_OFI_WHERE.

    * @return Value of property Q022HT00_ID_OFI_WHERE.

    */

    public Integer getQ022HT00_ID_OFI_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022HT00_ID_OFI_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022HT00_ID_OFI_WHERE();

        }

    }



    /** Getter for property Q022YT00_NI_FORMA_WHERE.

    * @return Value of property Q022YT00_NI_FORMA_WHERE.

    */

    public Long getQ022YT00_NI_FORMA_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022YT00_NI_FORMA_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022YT00_NI_FORMA_WHERE();

        }

    }



    /** Getter for property Q022YT00_NI_RESUL_ENC_WHERE.

    * @return Value of property Q022YT00_NI_RESUL_ENC_WHERE.

    */

    public Long getQ022YT00_NI_RESUL_ENC_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022YT00_NI_RESUL_ENC_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022YT00_NI_RESUL_ENC_WHERE();

        }

    }



    /** Getter for property Q022YT00_NI_SITU_INSP_WHERE.

    * @return Value of property Q022YT00_NI_SITU_INSP_WHERE.

    */

    public Long getQ022YT00_NI_SITU_INSP_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022YT00_NI_SITU_INSP_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022YT00_NI_SITU_INSP_WHERE();

        }

    }



    /** Getter for property Q022YT00_NI_RESUL_INSP_WHERE.

    * @return Value of property Q022YT00_NI_RESUL_INSP_WHERE.

    */

    public Long getQ022YT00_NI_RESUL_INSP_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022YT00_NI_RESUL_INSP_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022YT00_NI_RESUL_INSP_WHERE();

        }

    }



    /** Getter for property NORA_T17_PROVINCIA_DS_WHERE.

    * @return Value of property NORA_T17_PROVINCIA_DS_WHERE.

    */

    public String getNORA_T17_PROVINCIA_DS_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.NORA_T17_PROVINCIA_DS_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getNORA_T17_PROVINCIA_DS_WHERE();

        }

    }



    /** Getter for property NORA_T17_MUNICIPIO_DS_WHERE.

    * @return Value of property NORA_T17_MUNICIPIO_DS_WHERE.

    */

    public String getNORA_T17_MUNICIPIO_DS_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.NORA_T17_MUNICIPIO_DS_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getNORA_T17_MUNICIPIO_DS_WHERE();

        }

    }



    /** Getter for property Q022HT00_DESC_WHERE.

    * @return Value of property Q022HT00_DESC_WHERE.

    */

    public String getQ022HT00_DESC_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022HT00_DESC_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022HT00_DESC_WHERE();

        }

    }



    /** Getter for property Q022HT00_DESC_EUS_WHERE.

    * @return Value of property Q022HT00_DESC_EUS_WHERE.

    */

    public String getQ022HT00_DESC_EUS_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022HT00_DESC_EUS_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022HT00_DESC_EUS_WHERE();

        }

    }



    /** Getter for property Q022YT00_COD_FORMA_WHERE.

    * @return Value of property Q022YT00_COD_FORMA_WHERE.

    */

    public String getQ022YT00_COD_FORMA_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022YT00_COD_FORMA_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022YT00_COD_FORMA_WHERE();

        }

    }



    /** Getter for property Q022YT00_DESC_FORMA_WHERE.

    * @return Value of property Q022YT00_DESC_FORMA_WHERE.

    */

    public String getQ022YT00_DESC_FORMA_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022YT00_DESC_FORMA_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022YT00_DESC_FORMA_WHERE();

        }

    }



    /** Getter for property Q022YT00_DESCE_FORMA_WHERE.

    * @return Value of property Q022YT00_DESCE_FORMA_WHERE.

    */

    public String getQ022YT00_DESCE_FORMA_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022YT00_DESCE_FORMA_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022YT00_DESCE_FORMA_WHERE();

        }

    }



    /** Getter for property Q022YT00_COD_RESUL_ENC_WHERE.

    * @return Value of property Q022YT00_COD_RESUL_ENC_WHERE.

    */

    public String getQ022YT00_COD_RESUL_ENC_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022YT00_COD_RESUL_ENC_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022YT00_COD_RESUL_ENC_WHERE();

        }

    }



    /** Getter for property Q022YT00_DESC_RESUL_ENC_WHERE.

    * @return Value of property Q022YT00_DESC_RESUL_ENC_WHERE.

    */

    public String getQ022YT00_DESC_RESUL_ENC_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022YT00_DESC_RESUL_ENC_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022YT00_DESC_RESUL_ENC_WHERE();

        }

    }



    /** Getter for property Q022YT00_DESCE_RESUL_ENC_WHERE.

    * @return Value of property Q022YT00_DESCE_RESUL_ENC_WHERE.

    */

    public String getQ022YT00_DESCE_RESUL_ENC_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022YT00_DESCE_RESUL_ENC_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022YT00_DESCE_RESUL_ENC_WHERE();

        }

    }



    /** Getter for property Q022YT00_COD_SITU_INSP_WHERE.

    * @return Value of property Q022YT00_COD_SITU_INSP_WHERE.

    */

    public String getQ022YT00_COD_SITU_INSP_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022YT00_COD_SITU_INSP_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022YT00_COD_SITU_INSP_WHERE();

        }

    }



    /** Getter for property Q022YT00_DESC_SITU_INSP_WHERE.

    * @return Value of property Q022YT00_DESC_SITU_INSP_WHERE.

    */

    public String getQ022YT00_DESC_SITU_INSP_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022YT00_DESC_SITU_INSP_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022YT00_DESC_SITU_INSP_WHERE();

        }

    }



    /** Getter for property Q022YT00_DESCE_SITU_INSP_WHERE.

    * @return Value of property Q022YT00_DESCE_SITU_INSP_WHERE.

    */

    public String getQ022YT00_DESCE_SITU_INSP_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022YT00_DESCE_SITU_INSP_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022YT00_DESCE_SITU_INSP_WHERE();

        }

    }



    /** Getter for property Q022YT00_COD_RESUL_INSP_WHERE.

    * @return Value of property Q022YT00_COD_RESUL_INSP_WHERE.

    */

    public String getQ022YT00_COD_RESUL_INSP_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022YT00_COD_RESUL_INSP_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022YT00_COD_RESUL_INSP_WHERE();

        }

    }



    /** Getter for property Q022YT00_DESC_RESUL_INSP_WHERE.

    * @return Value of property Q022YT00_DESC_RESUL_INSP_WHERE.

    */

    public String getQ022YT00_DESC_RESUL_INSP_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022YT00_DESC_RESUL_INSP_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022YT00_DESC_RESUL_INSP_WHERE();

        }

    }



    /** Getter for property Q022YT00_DESCE_RESUL_INSP_WHERE.

    * @return Value of property Q022YT00_DESCE_RESUL_INSP_WHERE.

    */

    public String getQ022YT00_DESCE_RESUL_INSP_WHERE() {

        if (iTablaBDQ022LS01V01==null){

            return this.Q022YT00_DESCE_RESUL_INSP_WHERE;

        }else{

           return iTablaBDQ022LS01V01.getQ022YT00_DESCE_RESUL_INSP_WHERE();

        }

    }



    /** Getter for property auditUser.

    * @return Value of property auditUser.

    */

    public Long getAuditUser () {

        return auditUser;

    }



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor) {

        if (iTablaBDQ022LS01V01==null){

           this.idConexion = valor;

        }else{

           iTablaBDQ022LS01V01.setIdConexion(valor);

        }

    }



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase() {

        if (iTablaBDQ022LS01V01==null){

           return sFechaClase;

        }else{

           return iTablaBDQ022LS01V01.getFechaClase();

        }

    }



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion() {

        if (iTablaBDQ022LS01V01==null){

           return this.idConexion;

        }else{

           return iTablaBDQ022LS01V01.getIdConexion();

        }

    }



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog() {

        if (iTablaBDQ022LS01V01==null){

           return this.queryLog.toString();

        }else{

           return iTablaBDQ022LS01V01.getQueryLog();

        }

    }



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor) {

        if (iTablaBDQ022LS01V01==null){

        this.numInicio = valor;

        }else{

           iTablaBDQ022LS01V01.setNumInicio(valor);

        }

    }



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio() {

        if (iTablaBDQ022LS01V01==null){

           return this.numInicio;

        }else{

           return iTablaBDQ022LS01V01.getNumInicio();

        }

    }



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor) {

        if (iTablaBDQ022LS01V01==null){

        this.numFinal = valor;

        }else{

           iTablaBDQ022LS01V01.setNumFinal(valor);

        }

    }



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal() {

        if (iTablaBDQ022LS01V01==null){

           return this.numFinal;

        }else{

           return iTablaBDQ022LS01V01.getNumFinal();

        }

    }



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor) {

        if (iTablaBDQ022LS01V01==null){

        this.numMaxRegistros = valor;

        }else{

           iTablaBDQ022LS01V01.setNumMaxRegistros(valor);

        }

    }



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros() {

        if (iTablaBDQ022LS01V01==null){

           return this.numMaxRegistros;

        }else{

           return iTablaBDQ022LS01V01.getNumMaxRegistros();

        }

    }



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor) {

        if (iTablaBDQ022LS01V01==null){

        this.limitRows = valor;

        }else{

           iTablaBDQ022LS01V01.setLimitRows(valor);

        }

    }



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows() {

        if (iTablaBDQ022LS01V01==null){

           return this.limitRows;

        }else{

           return iTablaBDQ022LS01V01.getLimitRows();

        }

    }



    /** Getter for property connection.

    * @return Value of property connection.

    */

    public Connection getConn() {

        if (iTablaBDQ022LS01V01==null){

           return this.connection;

        }else{

           return iTablaBDQ022LS01V01.getConn();

        }

    }



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor) {

        if (iTablaBDQ022LS01V01==null){

           this.orderBy = valor;

        }else{

           iTablaBDQ022LS01V01.setOrderBy(valor);

        }

    }



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy() {

        if (iTablaBDQ022LS01V01==null){

           return this.orderBy;

        }else{

           return iTablaBDQ022LS01V01.getOrderBy();

        }

    }



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor) {

        if (iTablaBDQ022LS01V01==null){

           this.aditionalWhere = valor;

        }else{

           iTablaBDQ022LS01V01.setAditionalWhere(valor);

        }

    }



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere() {

        if (iTablaBDQ022LS01V01==null){

           return this.aditionalWhere;

        }else{

           return iTablaBDQ022LS01V01.getAditionalWhere();

        }

    }



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere() {

        if (iTablaBDQ022LS01V01==null){

           return this.initialWhere;

        }else{

           return iTablaBDQ022LS01V01.getInitialWhere();

        }

    }



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor) {

        if (iTablaBDQ022LS01V01==null){

           this.initialWhere = valor;

        }else{

           iTablaBDQ022LS01V01.setInitialWhere(valor);

        }

    }



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere() {

        if (iTablaBDQ022LS01V01==null){

           return this.fixedWhere;

        }else{

           return iTablaBDQ022LS01V01.getFixedWhere();

        }

    }



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor) {

        if (iTablaBDQ022LS01V01==null){

           this.fixedWhere = valor;

        }else{

           iTablaBDQ022LS01V01.setFixedWhere(valor);

        }

    }



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor) {

        if (iTablaBDQ022LS01V01==null){

           this.distinct = valor;

        }else{

           iTablaBDQ022LS01V01.setDistinct(valor);

        }

    }



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct() {

        if (iTablaBDQ022LS01V01==null){

           return this.distinct;

        }else{

           return iTablaBDQ022LS01V01.getDistinct();

        }

    }



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor) {

        if (iTablaBDQ022LS01V01==null){

           this.max = valor;

        }else{

           iTablaBDQ022LS01V01.setMax(valor);

        }

    }



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax() {

        if (iTablaBDQ022LS01V01==null){

           return this.max;

        }else{

           return iTablaBDQ022LS01V01.getMax();

        }

    }



    /** Method freeResources.

    * @return void.

    */

    public void freeResources() {

        if (iTablaBDQ022LS01V01==null){

           super.freeResources();

        }else{

           iTablaBDQ022LS01V01.freeResources();

        }

    }



    /** Method freeResourcesNotConnection.

    * @return void.

    */

    public void freeResourcesNotConnection() {

        if (iTablaBDQ022LS01V01==null){

           super.freeResourcesNotConnection();

        }else{

           iTablaBDQ022LS01V01.freeResourcesNotConnection();

        }

    }



    /** Method getColumnas.

    * @return String[].

    */

    public String[] getColumnas() {

        return this.columnas;

    }



    /** Method getColumnasPK.

    * @return String[].

    */

    public String[] getColumnasPK() {

        return this.columnasPK;

    }



    /** Method getTipos.

    * @return int[].

    */

    public int[] getTipos() {

        return this.tipos;

    }



}

